import React, { useState } from "react";
import { Grommet, Box, ResponsiveContext } from "grommet";
import theme from "../style/Theme";
import PageHeader from "./PageHeader";
import SideMenu from "./SideMenu";
import Main from "./Main";
import { BrowserRouter as Router} from "react-router-dom";

function App() {
  const [showSideBar, setShowSideBar] = useState(false);

  return (
    <Router>
      <Grommet theme={theme} full>
        <ResponsiveContext.Consumer>
          {size => (
            <Box fill>
              <PageHeader
                showSideBar={showSideBar}
                setShowSideBar={setShowSideBar}
              />
              <Box direction="row" flex overflow={{ horizontal: "hidden" }}>
                <SideMenu
                  showSideBar={showSideBar}
                  setShowSideBar={setShowSideBar}
                />
              <Main size={size}/>
              </Box>
            </Box>
          )}
        </ResponsiveContext.Consumer>
      </Grommet>
    </Router>
  );
}

export default App;
