import React from 'react'
import { Grid, Box } from 'grommet'
import InstanceView from './InstanceView'
import TemplateView from './TemplateView'

const Main = (props) => {
   return(<Grid
            areas={[
            { name: "instances", start: [0, 0], end: [0, 0] },
            { name: "templates", start: [1, 0], end: [1, 0] }
            ]}
            columns={["flex", "flex"]}
            rows={["flex"]}
            gap="small"
            margin="small"
            >
            <Box gridArea="instances">
                <InstanceView size={props.size} />
            </Box>
            <Box gridArea="templates">
                <TemplateView size={props.size} />
            </Box>
        </Grid>);
    }

export default Main;